#!/bin/sh

#this script uploads empty.cob to WEB4

OS_PLT=`uname | tr '[A-Z]' '[a-z]'| grep -o darwin`       # on MAC OS it is "darwin"

if [ "${OS_PLT}" = "" ]; then
    OS_PLT=`uname | tr '[A-Z]' '[a-z]'| grep -o linux`
fi

if [ "${OS_PLT}" = "" ]; then
    echo "Platform `uname` is not supported"
    exit -1
fi

if [ $# -le 0 ]
then
	echo "Usage: $0 IP_adderss "
	exit 1
fi

old_path=`pwd`
to_path=`dirname "$0"`
cd "${to_path}"

if [ "${OS_PLT}" = "linux" ]; then      # Linux
	TFTP=atftp
else
	TFTP=../tools/atftp-mac-emul
fi

${TFTP}  -l empty.cob -r WEB4 -p $1

sleep 1
echo "BCL erased..."
cd "${old_path}"


